searchData={"items":[{"type":"module","title":"opentelemetry_resource_detector_aws","doc":"OpenTelemetry Resource Detector for AWS.\n\nThe module provides helpers for individual resource detector modules.","ref":"opentelemetry_resource_detector_aws.html"},{"type":"function","title":"opentelemetry_resource_detector_aws.json_request/2","doc":"Performs an HTTP request to the given URL and decodes the JSON response.","ref":"opentelemetry_resource_detector_aws.html#json_request/2"},{"type":"module","title":"otel_resource_aws_ecs","doc":"OpenTelemetry Resource Detector for AWS ECS.\n\nThis module fetches metadata from the ECS container, task metadata endpoints,\nand the cgroup file, and sets the the following resource attributes:\n\n- `cloud.provider`: The cloud provider (AWS).\n- `cloud.platform`: The cloud platform (AWS ECS).\n- `cloud.account.id`: The AWS account ID.\n- `cloud.region`: The AWS region.\n- `cloud.resource.id`: The resource ID (Container ARN).\n- `cloud.availability_zone`: The availability zone.\n- `container.name`: The container name.\n- `container.id`: The container ID.\n- `aws.ecs.container.arn`: The ECS container ARN.\n- `aws.ecs.cluster.arn`: The ECS cluster ARN.\n- `aws.ecs.launchtype`: The ECS launch type.\n- `aws.ecs.task.arn`: The ECS task ARN.\n- `aws.ecs.task.family`: The ECS task family.\n- `aws.ecs.task.revision`: The ECS task revision.\n- `aws.log.group.names`: The log group names.\n- `aws.log.group.arns`: The log group ARNs.\n- `aws.log.stream.names`: The log stream names.\n- `aws.log.stream.arns`: The log stream ARNs.","ref":"otel_resource_aws_ecs.html"},{"type":"function","title":"otel_resource_aws_ecs.get_resource/1","doc":"","ref":"otel_resource_aws_ecs.html#get_resource/1"},{"type":"extras","title":"OpentelemetryResourceDetectorAWS","doc":"# OpentelemetryResourceDetectorAWS\n\nImplements a Resource Detector for AWS.","ref":"readme.html"},{"type":"extras","title":"Installation - OpentelemetryResourceDetectorAWS","doc":"The package can be installed by adding `opentelemetry_resource_detector_aws` to your list of\ndependencies in `mix.exs` for elixir and `rebar.config` for erlang :\n\n```erlang\n{deps, [opentelemetry_resource_detector_aws]}.\n```\n\n```elixir\ndef deps do\n  [\n    {:opentelemetry_resource_detector_aws, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - OpentelemetryResourceDetectorAWS","doc":"Configure the OpenTelemetry to use the Resource Detector for AWS:\n\n```elixir\nconfig :opentelemetry,\n    resource_detectors: [:otel_resource_aws_ecs]\n```\n\n```erlang\n[\n {opentelemetry,\n  [{resource_detectors, otel_resource_aws_ecs}]}\n].\n```","ref":"readme.html#usage"},{"type":"extras","title":"Supported resources - OpentelemetryResourceDetectorAWS","doc":"- ECS (`otel_resource_aws_ecs`)","ref":"readme.html#supported-resources"},{"type":"extras","title":"LICENSE - OpentelemetryResourceDetectorAWS","doc":"(The MIT License)\n\nCopyright (c) 2025 Dan Schultzer & the Contributors\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#license"},{"type":"extras","title":"CHANGELOG","doc":"","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 (2025-04-07) - CHANGELOG","doc":"- Initial release","ref":"changelog.html#v0-1-0-2025-04-07"}],"proglang":"erlang","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}